Summary:	Haddock documentation tool for annotated Haskell source code
Name:		haddock
Version:	0.9
Release:	%{mkrel 1}
License:	BSD
Group:		Development/Other
Source0:	http://www.haskell.org/%{name}/%{name}-%{version}.tar.gz
URL:		http://www.haskell.org/haddock/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	ghc
BuildRequires:	hugs98
BuildRequires:	happy
BuildRequires:	alex
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl

%description
Haddock is a tool for automatically generating documentation from
annotated Haskell source code. It is primary intended for documenting
libraries, but it should be useful for any kind of Haskell code.

Haddock lets you write documentation annotations next to the
definitions of functions and types in the source code, in a syntax
that is easy on the eye when writing the source code (no heavyweight
mark-up). The documentation generated by Haddock is fully hyperlinked
-- click on a type name in a type signature to go straight to the
definition, and documentation, for that type.

Haddock can generate documentation in multiple formats; currently HTML
is implemented, and there is partial support for generating DocBook.
The generated HTML uses stylesheets, so you need a fairly up-to-date
browser to view it properly (Mozilla, Konqueror, Opera, and IE 6
should all be ok).

%prep
%setup -q 

%build
runhaskell Setup.lhs configure --prefix=%{_prefix}
runhaskell Setup.lhs build
cd doc
test -f configure || autoreconf
./configure
make html

%install
rm -rf %{buildroot}
runhaskell Setup.lhs copy --destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/haddock/*
%{_datadir}/*
%{_bindir}/haddock




%changelog
* Thu Aug 07 2008 Adam Williamson <awilliamson@mandriva.com> 0.9-1mdv2009.0
+ Revision: 267126
- new release 0.9
- clean spec

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Dec 11 2006 Michael Scherer <misc@mandriva.org> 0.8-1mdv2007.0
+ Revision: 94821
- also add stylesheet
- Add libxslt-proc, as haddock fail with "make: stringparam: Command not found"
- add missing source
- upgrade to 0.8
- Import haddock

